.sluzby-section {
    position: relative;
    top: 3rem;
}

.sluzby-container {
    max-width: calc(42 * (0.4vw + 1rem));
    width: 95%;
    margin-inline: auto;
    margin-bottom: 6rem;

    .sluzby-h1 {
        font-size: 4rem;   
        font-weight: 900;
        padding-top: 6rem;
        color: rgb(39, 39, 39);

        /* background: linear-gradient(90deg, red, rgb(255, 218, 11));
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text; 
        color: transparent; */
    }

    h2 {
        font-size: clamp(1.6rem, 1.1vw + 1.2rem, 3rem);
        font-weight: 900;
        background-color: rgb(39, 39, 39);
        margin-top: 4rem;
        padding: 1rem 2rem;
        color: white;
        display: inline-block;
        text-transform: uppercase;
        letter-spacing: 1.1px;
    }
    p {
        margin-top: 1.4rem;
        font-size: clamp(1.2rem, 2.5vw, 1.7rem);
        line-height: 1.7;
        color: rgb(39, 39, 39);
        padding-inline: 1rem;
    }
}

.bold {
    font-weight: 600;
}

.red-square {
    background-color: red;
    /* border: solid black; */
    border-width: 0 3px 3px 0; 
    /* border-color: black; */ 
    width: 16rem;
    height: 16rem;
    position: absolute;
    /* top: 4.5rem; */
}

.blue-square {
    background-color: rgb(2, 217, 255);
    /* background-color: red; */
    /* border: solid black; */
    border-width: 3px 3px 0 0 ;
    width: 16rem;
    height: 16rem;
    position: absolute;
    bottom: 16rem;
}

.yellow-square {
    background-color: rgb(255, 218, 11);
    /* background-color: red; */
    /* border: solid black; */
    border-width: 3px 0 0 3px ;
    width: 16rem;
    height: 16rem;
    position: fixed;
    bottom: 0;
    right: 0;
}

@media (max-width: 1600px) {
    .sluzby-h1 {
        text-align: center;
    }

    .red-square {
        /* max-width: 16rem; */
        width: 2vw;
    }

    .yellow-square {
        /* max-width: 16rem; */
        width: 2vw;
    }

    .blue-square {
        height: 20px;
        position: relative;
        bottom: 0;
        width: unset;
    }
}

@media (max-width: 900px) {
    .red-square {
        width: 100vw;
        height: 1rem;
    }

    .yellow-square {
        height: 20px;
        position: absolute;
        right: 0;
        bottom:16rem;
        width: 50vw;
    }
}

.ask-btn {
    /* text-align: center; */
    width: 320px;
    margin-top: 5rem;
    margin-bottom: 10rem;
    display: block;
    margin-inline: auto;
    /* justify-self: center; */
    background-color: white;
    font-size: 1.5rem;
    font-weight: 900;
    padding-block: 1rem;
    border: 3px solid black;
    box-shadow: 2px 2px;
    cursor: pointer;
}

.ask-btn:hover {
    /* background-color: rgb(216, 216, 216); */
    background: repeating-linear-gradient(
                -45deg,
                rgb(224, 224, 224),
                rgb(224, 224, 224) 8px,
                white 8px,
                white 16px
            );
}

.ask-btn:active {
    box-shadow: 0 0;
}

footer {
    display: grid;
    align-content: center;
    text-align: center;
    height: 16rem;
    background-color: black;
    color: white;
    p {
        margin-top: .5rem;
    }
    .tel {
    font-size: 2rem;
    font-weight: 900;
    } 
    .email {
        font-size: 1.6rem;
    }
    .copyR {
        margin-top: 2rem;
        padding-inline: 4rem;
    }
}
